[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LazHelpIntf' (#lcl)

# THelpDatabase.GetNodesForKeyword

Creates or updates a list of help nodes using the specified help HelpKeyword.

## Declaration

Source position: lazhelpintf.pas line 349

`public function THelpDatabase.GetNodesForKeyword(`
`const HelpKeyword: string;`
`var ListOfNodes: THelpNodeQueryList;`
`var ErrMsg: string`
`):TShowHelpResult; virtual;`

## Arguments

`HelpKeyword` |  | Help keyword to locate in nodes in the help database.
`ListOfNodes` |  | List of nodes updated in the method.
`ErrMsg` |  | Message describing an error condition in the return value.

## Function result

Status for help request.